SDL_QueryTexture(3)

NAME
SDL_QueryTexture - Query the attributes of a texture.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_QueryTexture(SDL_Texture *texture, SDL_PixelFormatEnum *format, int *access, int *w, int *h);

FUNCTION PARAMETERS

texture
    the texture to query

format
    a pointer filled in with the raw format of the texture; the actual format may differ, but pixel transfers will use this format (one of the SDL_PixelFormatEnum
     values). This argument can be NULL if you don't need this information.

access
    a pointer filled in with the actual access to the texture (one of the SDL_TextureAccess
     values). This argument can be NULL if you don't need this information.

w   a pointer filled in with the width of the texture in pixels. This argument can be NULL if you don't need this information.

h   a pointer filled in with the height of the texture in pixels. This argument can be NULL if you don't need this information.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.